=== debian/changelog ===
ros-melodic-warehouse-ros-mongo (0.9.1-1bionic) bionic; urgency=high

  * Initialize mongo client only once (#28 <https://github.com/ros-planning/warehouse_ros_mongo/issues/28>)
  * Restore mongod python wrapper
  * Contributors: Masaki Murooka, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 27 Sep 2019 22:00:00 -0000

ros-melodic-warehouse-ros-mongo (0.9.0-1bionic) bionic; urgency=high

  * Use std pointers
  * Fix catkin issues
  * Refactored Warehouse ROS for pluginlib
  * Contributors: Christian Rauch, Connor Brew, Dave Coleman, Robert Haschke, v4hn

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 13 Aug 2019 22:00:00 -0000

ros-melodic-warehouse-ros-mongo (0.8.8-1bionic) bionic; urgency=high

  * Merge pull request #13 <https://github.com/ros-planning/warehouse_ros/issues/13> from corot/master
    Issue #11 <https://github.com/ros-planning/warehouse_ros/issues/11>: Add a Python library
  * Merge pull request #15 <https://github.com/ros-planning/warehouse_ros/issues/15> from v4hn/shared-static-mongodb
    only export MongoDB dependency for shared mongodb-library
  * only export MongoDB dependency for shared mongodb-library
    libmongoclient.a uses quite a number of other libs and the exact
    requirements can't be read from a cmake/pc file.
    Therefore it makes more sense to keep the dependency hidden from ROS
    when we use the static lib. libwarehouse_ros then provides all required functions.
    ... This is a bit like creating a libmongoclient.so, but the whole problem
    exists because debian/ubuntu don't provide this one, right?
    The shared library can - and has to - be exported as a dependency to ROS.
  * Missing part of https://github.com/corot/world_canvas/issues/10:
    requires both mongodb and mongodb-dev
  * Merge branch 'master' of https://github.com/corot/warehouse_ros.git
  * Add kwargs also to insert so we can solves issues as
    https://github.com/corot/world_canvas/issues/13
  * Add kwargs to ensure_index so we can solves issues as
    https://github.com/corot/world_canvas/issues/13
  * Add python-pymongo dependency
  * Issue https://github.com/corot/world_canvas/issues/11: rospy queue_size
    warnings
  * Issue #11 <https://github.com/ros-planning/warehouse_ros/issues/11>: Add a Python library
  * Contributors: Ioan A Sucan, corot, v4hn

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 30 Sep 2014 22:00:00 -0000

ros-melodic-warehouse-ros-mongo (0.8.5-1bionic) bionic; urgency=high

  * Fixed malloc.h inclusion on Mac OS X
  * Rename README.rst to README.md
  * added travis support
  * Contributors: Acorn, Dave Hershberger, Ioan A Sucan, Marco Esposito

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 22 Feb 2014 23:00:00 -0000

ros-melodic-warehouse-ros-mongo (0.8.4-1bionic) bionic; urgency=high

  * update how we find MongoDB

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 02 Jul 2013 22:00:00 -0000

ros-melodic-warehouse-ros-mongo (0.8.2-1bionic) bionic; urgency=high

  * fix typo and use correct install location
  * add config.h.in for deciding how to include mongo headers

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 02 Jul 2013 22:00:00 -0000

ros-melodic-warehouse-ros-mongo (0.8.1-1bionic) bionic; urgency=high

  * fix linking issues (missing SSL symbols) in deps, undef defined macros

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 02 Jul 2013 22:00:00 -0000
