=== debian/control ===
Source: ros-melodic-warehouse-ros-mongo
Section: misc
Priority: optional
Maintainer: MoveIt Release Team <moveit_releasers@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), libmongoclient-dev, mongodb, ros-melodic-catkin, ros-melodic-class-loader, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-rostime, ros-melodic-std-msgs, ros-melodic-warehouse-ros
Homepage: http://ros.org/wiki/warehouse_ros
Standards-Version: 3.9.2

Package: ros-melodic-warehouse-ros-mongo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-class-loader, ros-melodic-roscpp, ros-melodic-rostime, ros-melodic-std-msgs, ros-melodic-warehouse-ros
Description: Implementation of warehouse_ros for MongoDB
